VTK: vtkImageProperty Class Reference

| VTK 9.3.1

Public Types | Public Member Functions | Static Public Member Functions | Protected Member Functions | Protected Attributes | List of all members
vtkImageProperty Class Reference

image display properties More...

`#include <vtkImageProperty.h>`

Inheritance diagram for vtkImageProperty:
[legend]
Collaboration diagram for vtkImageProperty:
[legend]

## Public Types
typedef vtkObject | Superclass

## Public Member Functions
virtual vtkTypeBool | IsA (const char *type)
| Return 1 if this class is the same type of (or a subclass of) the named class. More...
vtkImageProperty * | NewInstance () const
void | PrintSelf (ostream &os, vtkIndent indent) override
| Methods invoked by print to print information about the object including superclasses. More...
void | DeepCopy (vtkImageProperty *p)
| Assign one property to another. More...
vtkMTimeType | GetMTime () override
| Get the MTime for this property. More...
virtual void | SetColorWindow (double)
| The window value for window/level. More...
virtual double | GetColorWindow ()
| The window value for window/level. More...
virtual void | SetColorLevel (double)
| The level value for window/level. More...
virtual double | GetColorLevel ()
| The level value for window/level. More...
virtual void | SetLookupTable (vtkScalarsToColors *lut)
| Specify a lookup table for the data. More...
virtual vtkScalarsToColors * | GetLookupTable ()
| Specify a lookup table for the data. More...
virtual void | SetUseLookupTableScalarRange (vtkTypeBool)
| Use the range that is set in the lookup table, instead of setting the range from the Window/Level settings. More...
virtual vtkTypeBool | GetUseLookupTableScalarRange ()
| Use the range that is set in the lookup table, instead of setting the range from the Window/Level settings. More...
virtual void | UseLookupTableScalarRangeOn ()
| Use the range that is set in the lookup table, instead of setting the range from the Window/Level settings. More...
virtual void | UseLookupTableScalarRangeOff ()
| Use the range that is set in the lookup table, instead of setting the range from the Window/Level settings. More...
virtual void | SetOpacity (double)
| The opacity of the image, where 1.0 is opaque and 0.0 is transparent. More...
virtual double | GetOpacity ()
| The opacity of the image, where 1.0 is opaque and 0.0 is transparent. More...
virtual void | SetAmbient (double)
| The ambient lighting coefficient. More...
virtual double | GetAmbient ()
| The ambient lighting coefficient. More...
virtual void | SetDiffuse (double)
| The diffuse lighting coefficient. More...
virtual double | GetDiffuse ()
| The diffuse lighting coefficient. More...
virtual void | SetInterpolationType (int)
| The interpolation type (default: VTK_LINEAR_INTERPOLATION). More...
virtual int | GetInterpolationType ()
| The interpolation type (default: VTK_LINEAR_INTERPOLATION). More...
void | SetInterpolationTypeToNearest ()
| The interpolation type (default: VTK_LINEAR_INTERPOLATION). More...
void | SetInterpolationTypeToLinear ()
| The interpolation type (default: VTK_LINEAR_INTERPOLATION). More...
void | SetInterpolationTypeToCubic ()
| The interpolation type (default: VTK_LINEAR_INTERPOLATION). More...
virtual const char * | GetInterpolationTypeAsString ()
| The interpolation type (default: VTK_LINEAR_INTERPOLATION). More...
virtual void | SetLayerNumber (int)
| Set the layer number. More...
int | GetLayerNumber ()
| Set the layer number. More...
virtual void | SetCheckerboard (vtkTypeBool)
| Make a checkerboard pattern where the black squares are transparent. More...
virtual void | CheckerboardOn ()
| Make a checkerboard pattern where the black squares are transparent. More...
virtual void | CheckerboardOff ()
| Make a checkerboard pattern where the black squares are transparent. More...
virtual vtkTypeBool | GetCheckerboard ()
| Make a checkerboard pattern where the black squares are transparent. More...
virtual void | SetCheckerboardSpacing (double, double)
| The spacing for checkerboarding. More...
void | SetCheckerboardSpacing (double[2])
| The spacing for checkerboarding. More...
virtual double * | GetCheckerboardSpacing ()
| The spacing for checkerboarding. More...
virtual void | GetCheckerboardSpacing (double &, double &)
| The spacing for checkerboarding. More...
virtual void | GetCheckerboardSpacing (double[2])
| The spacing for checkerboarding. More...
virtual void | SetCheckerboardOffset (double, double)
| The phase offset for checkerboarding, in units of spacing. More...
void | SetCheckerboardOffset (double[2])
| The phase offset for checkerboarding, in units of spacing. More...
virtual double * | GetCheckerboardOffset ()
| The phase offset for checkerboarding, in units of spacing. More...
virtual void | GetCheckerboardOffset (double &, double &)
| The phase offset for checkerboarding, in units of spacing. More...
virtual void | GetCheckerboardOffset (double[2])
| The phase offset for checkerboarding, in units of spacing. More...
virtual void | SetBacking (vtkTypeBool)
| Use an opaque backing polygon, which will be visible where the image is translucent. More...
virtual void | BackingOn ()
| Use an opaque backing polygon, which will be visible where the image is translucent. More...
virtual void | BackingOff ()
| Use an opaque backing polygon, which will be visible where the image is translucent. More...
virtual vtkTypeBool | GetBacking ()
| Use an opaque backing polygon, which will be visible where the image is translucent. More...
virtual void | SetBackingColor (double, double, double)
| Set the color of the backing polygon. More...
virtual void | SetBackingColor (double[3])
| Set the color of the backing polygon. More...
virtual double * | GetBackingColor ()
| Set the color of the backing polygon. More...
virtual void | GetBackingColor (double &, double &, double &)
| Set the color of the backing polygon. More...
virtual void | GetBackingColor (double[3])
| Set the color of the backing polygon. More...
Public Member Functions inherited from vtkObject
| vtkBaseTypeMacro (vtkObject, vtkObjectBase)
virtual void | DebugOn ()
| Turn debugging output on. More...
virtual void | DebugOff ()
| Turn debugging output off. More...
bool | GetDebug ()
| Get the value of the debug flag. More...
void | SetDebug (bool debugFlag)
| Set the value of the debug flag. More...
virtual void | Modified ()
| Update the modification time for this object. More...
void | RemoveObserver (unsigned long tag)
void | RemoveObservers (unsigned long event)
void | RemoveObservers (const char *event)
void | RemoveAllObservers ()
vtkTypeBool | HasObserver (unsigned long event)
vtkTypeBool | HasObserver (const char *event)
vtkTypeBool | InvokeEvent (unsigned long event)
vtkTypeBool | InvokeEvent (const char *event)
std::string | GetObjectDescription () const override
| The object description printed in messages and PrintSelf output. More...
unsigned long | AddObserver (unsigned long event, vtkCommand *, float priority=0.0f)
| Allow people to add/remove/invoke observers (callbacks) to any VTK object. More...
unsigned long | AddObserver (const char *event, vtkCommand *, float priority=0.0f)
| Allow people to add/remove/invoke observers (callbacks) to any VTK object. More...
vtkCommand * | GetCommand (unsigned long tag)
| Allow people to add/remove/invoke observers (callbacks) to any VTK object. More...
void | RemoveObserver (vtkCommand *)
| Allow people to add/remove/invoke observers (callbacks) to any VTK object. More...
void | RemoveObservers (unsigned long event, vtkCommand *)
| Allow people to add/remove/invoke observers (callbacks) to any VTK object. More...
void | RemoveObservers (const char *event, vtkCommand *)
| Allow people to add/remove/invoke observers (callbacks) to any VTK object. More...
vtkTypeBool | HasObserver (unsigned long event, vtkCommand *)
| Allow people to add/remove/invoke observers (callbacks) to any VTK object. More...
vtkTypeBool | HasObserver (const char *event, vtkCommand *)
| Allow people to add/remove/invoke observers (callbacks) to any VTK object. More...
template<class U , class T >
unsigned long | AddObserver (unsigned long event, U observer, void(T::*callback)(), float priority=0.0f)
| Overloads to AddObserver that allow developers to add class member functions as callbacks for events. More...
template<class U , class T >
unsigned long | AddObserver (unsigned long event, U observer, void(T::*callback)(vtkObject *, unsigned long, void *), float priority=0.0f)
| Overloads to AddObserver that allow developers to add class member functions as callbacks for events. More...
template<class U , class T >
unsigned long | AddObserver (unsigned long event, U observer, bool(T::*callback)(vtkObject *, unsigned long, void *), float priority=0.0f)
| Allow user to set the AbortFlagOn() with the return value of the callback method. More...
vtkTypeBool | InvokeEvent (unsigned long event, void *callData)
| This method invokes an event and return whether the event was aborted or not. More...
vtkTypeBool | InvokeEvent (const char *event, void *callData)
| This method invokes an event and return whether the event was aborted or not. More...
virtual void | SetObjectName (const std::string &objectName)
| Set/get the name of this object for reporting purposes. More...
virtual std::string | GetObjectName () const
| Set/get the name of this object for reporting purposes. More...
Public Member Functions inherited from vtkObjectBase
const char * | GetClassName () const
| Return the class name as a string. More...
virtual vtkIdType | GetNumberOfGenerationsFromBase (const char *name)
| Given the name of a base class of this class type, return the distance of inheritance between this class type and the named class (how many generations of inheritance are there between this class and the named class). More...
virtual void | Delete ()
| Delete a VTK object. More...
virtual void | FastDelete ()
| Delete a reference to this object. More...
void | InitializeObjectBase ()
void | Print (ostream &os)
| Print an object to an ostream. More...
virtual void | Register (vtkObjectBase *o)
| Increase the reference count (mark as used by another object). More...
virtual void | UnRegister (vtkObjectBase *o)
| Decrease the reference count (release by another object). More...
int | GetReferenceCount ()
| Return the current reference count of this object. More...
void | SetReferenceCount (int)
| Sets the reference count. More...
bool | GetIsInMemkind () const
| A local state flag that remembers whether this object lives in the normal or extended memory space. More...
virtual void | PrintHeader (ostream &os, vtkIndent indent)
| Methods invoked by print to print information about the object including superclasses. More...
virtual void | PrintTrailer (ostream &os, vtkIndent indent)
| Methods invoked by print to print information about the object including superclasses. More...
virtual bool | UsesGarbageCollector () const
| Indicate whether the class uses `vtkGarbageCollector` or not. More...

## Static Public Member Functions
static vtkTypeBool | IsTypeOf (const char *type)
static vtkImageProperty * | SafeDownCast (vtkObjectBase *o)
static vtkImageProperty * | New ()
| Construct a property with no lookup table. More...
Static Public Member Functions inherited from vtkObject
static vtkObject * | New ()
| Create an object with Debug turned off, modified time initialized to zero, and reference counting on. More...
static void | BreakOnError ()
| This method is called when vtkErrorMacro executes. More...
static void | SetGlobalWarningDisplay (vtkTypeBool val)
| This is a global flag that controls whether any debug, warning or error messages are displayed. More...
static void | GlobalWarningDisplayOn ()
| This is a global flag that controls whether any debug, warning or error messages are displayed. More...
static void | GlobalWarningDisplayOff ()
| This is a global flag that controls whether any debug, warning or error messages are displayed. More...
static vtkTypeBool | GetGlobalWarningDisplay ()
| This is a global flag that controls whether any debug, warning or error messages are displayed. More...
Static Public Member Functions inherited from vtkObjectBase
static vtkTypeBool | IsTypeOf (const char *name)
| Return 1 if this class type is the same type of (or a subclass of) the named class. More...
static vtkIdType | GetNumberOfGenerationsFromBaseType (const char *name)
| Given a the name of a base class of this class type, return the distance of inheritance between this class type and the named class (how many generations of inheritance are there between this class and the named class). More...
static vtkObjectBase * | New ()
| Create an object with Debug turned off, modified time initialized to zero, and reference counting on. More...
static void | SetMemkindDirectory (const char *directoryname)
| The name of a directory, ideally mounted -o dax, to memory map an extended memory space within. More...
static bool | GetUsingMemkind ()
| A global state flag that controls whether vtkObjects are constructed in the usual way (the default) or within the extended memory space. More...

## Protected Member Functions
virtual vtkObjectBase * | NewInstanceInternal () const
| vtkImageProperty ()
| ~vtkImageProperty () override
Protected Member Functions inherited from vtkObject
| vtkObject ()
| ~vtkObject () override
void | RegisterInternal (vtkObjectBase *, vtkTypeBool check) override
void | UnRegisterInternal (vtkObjectBase *, vtkTypeBool check) override
void | InternalGrabFocus (vtkCommand *mouseEvents, vtkCommand *keypressEvents=nullptr)
| These methods allow a command to exclusively grab all events. More...
void | InternalReleaseFocus ()
| These methods allow a command to exclusively grab all events. More...
Protected Member Functions inherited from vtkObjectBase
| vtkObjectBase ()
virtual | ~vtkObjectBase ()
virtual void | ReportReferences (vtkGarbageCollector *)
| vtkObjectBase (const vtkObjectBase &)
void | operator= (const vtkObjectBase &)

## Protected Attributes
vtkScalarsToColors * | LookupTable
double | ColorWindow
double | ColorLevel
vtkTypeBool | UseLookupTableScalarRange
int | InterpolationType
int | LayerNumber
double | Opacity
double | Ambient
double | Diffuse
vtkTypeBool | Checkerboard
double | CheckerboardSpacing [2]
double | CheckerboardOffset [2]
vtkTypeBool | Backing
double | BackingColor [3]
Protected Attributes inherited from vtkObject
bool | Debug
vtkTimeStamp | MTime
vtkSubjectHelper * | SubjectHelper
std::string | ObjectName
Protected Attributes inherited from vtkObjectBase
std::atomic< int32_t > | ReferenceCount
vtkWeakPointerBase ** | WeakPointers

## Additional Inherited Members
Static Protected Member Functions inherited from vtkObjectBase
static vtkMallocingFunction | GetCurrentMallocFunction ()
static vtkReallocingFunction | GetCurrentReallocFunction ()
static vtkFreeingFunction | GetCurrentFreeFunction ()
static vtkFreeingFunction | GetAlternateFreeFunction ()

## Detailed Description

image display properties

vtkImageProperty is an object that allows control of the display of an image slice.

Thanks:
  Thanks to David Gobbi at the Seaman Family MR Centre and Dept. of Clinical Neurosciences, Foothills Medical Centre, Calgary, for providing this class.

See also
  vtkImage vtkImageMapper3D vtkImageSliceMapper vtkImageResliceMapper

Online Examples:

Tests:
  vtkImageProperty (Tests)

Definition at line 37 of file vtkImageProperty.h.

## Member Typedef Documentation

## ◆ Superclass

typedef vtkObject vtkImageProperty::Superclass

Definition at line 40 of file vtkImageProperty.h.

## Constructor & Destructor Documentation

## ◆ vtkImageProperty()

vtkImageProperty::vtkImageProperty | ( |  | ) |
| protected

## ◆ ~vtkImageProperty()

vtkImageProperty::~vtkImageProperty | ( |  | ) |
| overrideprotected

## Member Function Documentation

## ◆ IsTypeOf()

static vtkTypeBool vtkImageProperty::IsTypeOf | ( | const char * | type | ) |
| static

## ◆ IsA()

virtual vtkTypeBool vtkImageProperty::IsA | ( | const char * | name | ) |
| virtual

Return 1 if this class is the same type of (or a subclass of) the named class.

Returns 0 otherwise. This method works in combination with vtkTypeMacro found in vtkSetGet.h.

Reimplemented from vtkObjectBase.

## ◆ SafeDownCast()

static vtkImageProperty* vtkImageProperty::SafeDownCast | ( | vtkObjectBase * | o | ) |
| static

## ◆ NewInstanceInternal()

virtual vtkObjectBase* vtkImageProperty::NewInstanceInternal | ( |  | ) | const
| protectedvirtual

## ◆ NewInstance()

vtkImageProperty* vtkImageProperty::NewInstance | ( |  | ) | const

## ◆ PrintSelf()

void vtkImageProperty::PrintSelf | ( | ostream & | os,
|  | vtkIndent | indent
| ) |  |
| overridevirtual

Methods invoked by print to print information about the object including superclasses.

Typically not called by the user (use Print() instead) but used in the hierarchical print process to combine the output of several classes.

Reimplemented from vtkObject.

## ◆ New()

static vtkImageProperty* vtkImageProperty::New | ( |  | ) |
| static

Construct a property with no lookup table.

## ◆ DeepCopy()

void vtkImageProperty::DeepCopy | ( | vtkImageProperty * | p | ) |

Assign one property to another.

## ◆ SetColorWindow()

virtual void vtkImageProperty::SetColorWindow | ( | double |  | ) |
| virtual

The window value for window/level.

## ◆ GetColorWindow()

virtual double vtkImageProperty::GetColorWindow | ( |  | ) |
| virtual

The window value for window/level.

## ◆ SetColorLevel()

virtual void vtkImageProperty::SetColorLevel | ( | double |  | ) |
| virtual

The level value for window/level.

## ◆ GetColorLevel()

virtual double vtkImageProperty::GetColorLevel | ( |  | ) |
| virtual

The level value for window/level.

## ◆ SetLookupTable()

virtual void vtkImageProperty::SetLookupTable | ( | vtkScalarsToColors * | lut | ) |
| virtual

Specify a lookup table for the data.

If the data is to be displayed as greyscale, or if the input data is already RGB, there is no need to set a lookup table.

## ◆ GetLookupTable()

virtual vtkScalarsToColors* vtkImageProperty::GetLookupTable | ( |  | ) |
| virtual

Specify a lookup table for the data.

If the data is to be displayed as greyscale, or if the input data is already RGB, there is no need to set a lookup table.

## ◆ SetUseLookupTableScalarRange()

virtual void vtkImageProperty::SetUseLookupTableScalarRange | ( | vtkTypeBool |  | ) |
| virtual

Use the range that is set in the lookup table, instead of setting the range from the Window/Level settings.

This is off by default.

## ◆ GetUseLookupTableScalarRange()

virtual vtkTypeBool vtkImageProperty::GetUseLookupTableScalarRange | ( |  | ) |
| virtual

Use the range that is set in the lookup table, instead of setting the range from the Window/Level settings.

This is off by default.

## ◆ UseLookupTableScalarRangeOn()

virtual void vtkImageProperty::UseLookupTableScalarRangeOn | ( |  | ) |
| virtual

Use the range that is set in the lookup table, instead of setting the range from the Window/Level settings.

This is off by default.

## ◆ UseLookupTableScalarRangeOff()

virtual void vtkImageProperty::UseLookupTableScalarRangeOff | ( |  | ) |
| virtual

Use the range that is set in the lookup table, instead of setting the range from the Window/Level settings.

This is off by default.

## ◆ SetOpacity()

virtual void vtkImageProperty::SetOpacity | ( | double |  | ) |
| virtual

The opacity of the image, where 1.0 is opaque and 0.0 is transparent.

If the image has an alpha component, then the alpha component will be multiplied by this value. The default is 1.0.

## ◆ GetOpacity()

virtual double vtkImageProperty::GetOpacity | ( |  | ) |
| virtual

The opacity of the image, where 1.0 is opaque and 0.0 is transparent.

If the image has an alpha component, then the alpha component will be multiplied by this value. The default is 1.0.

## ◆ SetAmbient()

virtual void vtkImageProperty::SetAmbient | ( | double |  | ) |
| virtual

The ambient lighting coefficient.

The default is 1.0.

## ◆ GetAmbient()

virtual double vtkImageProperty::GetAmbient | ( |  | ) |
| virtual

The ambient lighting coefficient.

The default is 1.0.

## ◆ SetDiffuse()

virtual void vtkImageProperty::SetDiffuse | ( | double |  | ) |
| virtual

The diffuse lighting coefficient.

The default is 0.0.

## ◆ GetDiffuse()

virtual double vtkImageProperty::GetDiffuse | ( |  | ) |
| virtual

The diffuse lighting coefficient.

The default is 0.0.

## ◆ SetInterpolationType()

virtual void vtkImageProperty::SetInterpolationType | ( | int |  | ) |
| virtual

The interpolation type (default: VTK_LINEAR_INTERPOLATION).

## ◆ GetInterpolationType()

virtual int vtkImageProperty::GetInterpolationType | ( |  | ) |
| virtual

The interpolation type (default: VTK_LINEAR_INTERPOLATION).

## ◆ SetInterpolationTypeToNearest()

void vtkImageProperty::SetInterpolationTypeToNearest | ( |  | ) |
| inline

The interpolation type (default: VTK_LINEAR_INTERPOLATION).

Definition at line 123 of file vtkImageProperty.h.

## ◆ SetInterpolationTypeToLinear()

void vtkImageProperty::SetInterpolationTypeToLinear | ( |  | ) |
| inline

The interpolation type (default: VTK_LINEAR_INTERPOLATION).

Definition at line 124 of file vtkImageProperty.h.

## ◆ SetInterpolationTypeToCubic()

void vtkImageProperty::SetInterpolationTypeToCubic | ( |  | ) |
| inline

The interpolation type (default: VTK_LINEAR_INTERPOLATION).

Definition at line 125 of file vtkImageProperty.h.

## ◆ GetInterpolationTypeAsString()

virtual const char* vtkImageProperty::GetInterpolationTypeAsString | ( |  | ) |
| virtual

The interpolation type (default: VTK_LINEAR_INTERPOLATION).

## ◆ SetLayerNumber()

virtual void vtkImageProperty::SetLayerNumber | ( | int |  | ) |
| virtual

Set the layer number.

This is ignored unless the image is part of a vtkImageStack. The default layer number is zero.

## ◆ GetLayerNumber()

int vtkImageProperty::GetLayerNumber | ( |  | ) |
| inline

Set the layer number.

This is ignored unless the image is part of a vtkImageStack. The default layer number is zero.

Definition at line 135 of file vtkImageProperty.h.

## ◆ SetCheckerboard()

virtual void vtkImageProperty::SetCheckerboard | ( | vtkTypeBool |  | ) |
| virtual

Make a checkerboard pattern where the black squares are transparent.

The pattern is aligned with the camera, and centered by default.

## ◆ CheckerboardOn()

virtual void vtkImageProperty::CheckerboardOn | ( |  | ) |
| virtual

Make a checkerboard pattern where the black squares are transparent.

The pattern is aligned with the camera, and centered by default.

## ◆ CheckerboardOff()

virtual void vtkImageProperty::CheckerboardOff | ( |  | ) |
| virtual

Make a checkerboard pattern where the black squares are transparent.

The pattern is aligned with the camera, and centered by default.

## ◆ GetCheckerboard()

virtual vtkTypeBool vtkImageProperty::GetCheckerboard | ( |  | ) |
| virtual

Make a checkerboard pattern where the black squares are transparent.

The pattern is aligned with the camera, and centered by default.

## ◆ SetCheckerboardSpacing() [1/2]

virtual void vtkImageProperty::SetCheckerboardSpacing | ( | double | ,
|  | double |
| ) |  |
| virtual

The spacing for checkerboarding.

This is in real units, not pixels.

## ◆ SetCheckerboardSpacing() [2/2]

void vtkImageProperty::SetCheckerboardSpacing | ( | double | [2] | ) |

The spacing for checkerboarding.

This is in real units, not pixels.

## ◆ GetCheckerboardSpacing() [1/3]

virtual double* vtkImageProperty::GetCheckerboardSpacing | ( |  | ) |
| virtual

The spacing for checkerboarding.

This is in real units, not pixels.

## ◆ GetCheckerboardSpacing() [2/3]

virtual void vtkImageProperty::GetCheckerboardSpacing | ( | double & | ,
|  | double & |
| ) |  |
| virtual

The spacing for checkerboarding.

This is in real units, not pixels.

## ◆ GetCheckerboardSpacing() [3/3]

virtual void vtkImageProperty::GetCheckerboardSpacing | ( | double | [2] | ) |
| virtual

The spacing for checkerboarding.

This is in real units, not pixels.

## ◆ SetCheckerboardOffset() [1/2]

virtual void vtkImageProperty::SetCheckerboardOffset | ( | double | ,
|  | double |
| ) |  |
| virtual

The phase offset for checkerboarding, in units of spacing.

Use a value between -1 and +1, where 1 is an offset of one squares.

## ◆ SetCheckerboardOffset() [2/2]

void vtkImageProperty::SetCheckerboardOffset | ( | double | [2] | ) |

The phase offset for checkerboarding, in units of spacing.

Use a value between -1 and +1, where 1 is an offset of one squares.

## ◆ GetCheckerboardOffset() [1/3]

virtual double* vtkImageProperty::GetCheckerboardOffset | ( |  | ) |
| virtual

The phase offset for checkerboarding, in units of spacing.

Use a value between -1 and +1, where 1 is an offset of one squares.

## ◆ GetCheckerboardOffset() [2/3]

virtual void vtkImageProperty::GetCheckerboardOffset | ( | double & | ,
|  | double & |
| ) |  |
| virtual

The phase offset for checkerboarding, in units of spacing.

Use a value between -1 and +1, where 1 is an offset of one squares.

## ◆ GetCheckerboardOffset() [3/3]

virtual void vtkImageProperty::GetCheckerboardOffset | ( | double | [2] | ) |
| virtual

The phase offset for checkerboarding, in units of spacing.

Use a value between -1 and +1, where 1 is an offset of one squares.

## ◆ SetBacking()

virtual void vtkImageProperty::SetBacking | ( | vtkTypeBool |  | ) |
| virtual

Use an opaque backing polygon, which will be visible where the image is translucent.

When images are in a stack, the backing polygons for all images will be drawn before any of the images in the stack, in order to allow the images in the stack to be composited.

## ◆ BackingOn()

virtual void vtkImageProperty::BackingOn | ( |  | ) |
| virtual

Use an opaque backing polygon, which will be visible where the image is translucent.

When images are in a stack, the backing polygons for all images will be drawn before any of the images in the stack, in order to allow the images in the stack to be composited.

## ◆ BackingOff()

virtual void vtkImageProperty::BackingOff | ( |  | ) |
| virtual

Use an opaque backing polygon, which will be visible where the image is translucent.

When images are in a stack, the backing polygons for all images will be drawn before any of the images in the stack, in order to allow the images in the stack to be composited.

## ◆ GetBacking()

virtual vtkTypeBool vtkImageProperty::GetBacking | ( |  | ) |
| virtual

Use an opaque backing polygon, which will be visible where the image is translucent.

When images are in a stack, the backing polygons for all images will be drawn before any of the images in the stack, in order to allow the images in the stack to be composited.

## ◆ SetBackingColor() [1/2]

virtual void vtkImageProperty::SetBackingColor | ( | double | ,
|  | double | ,
|  | double |
| ) |  |
| virtual

Set the color of the backing polygon.

The default color is black.

## ◆ SetBackingColor() [2/2]

virtual void vtkImageProperty::SetBackingColor | ( | double | [3] | ) |
| virtual

Set the color of the backing polygon.

The default color is black.

## ◆ GetBackingColor() [1/3]

virtual double* vtkImageProperty::GetBackingColor | ( |  | ) |
| virtual

Set the color of the backing polygon.

The default color is black.

## ◆ GetBackingColor() [2/3]

virtual void vtkImageProperty::GetBackingColor | ( | double & | ,
|  | double & | ,
|  | double & |
| ) |  |
| virtual

Set the color of the backing polygon.

The default color is black.

## ◆ GetBackingColor() [3/3]

virtual void vtkImageProperty::GetBackingColor | ( | double | [3] | ) |
| virtual

Set the color of the backing polygon.

The default color is black.

## ◆ GetMTime()

vtkMTimeType vtkImageProperty::GetMTime | ( |  | ) |
| overridevirtual

Get the MTime for this property.

If the lookup table is set, the mtime will include the mtime of the lookup table.

Reimplemented from vtkObject.

## Member Data Documentation

## ◆ LookupTable

vtkScalarsToColors* vtkImageProperty::LookupTable
| protected

Definition at line 195 of file vtkImageProperty.h.

## ◆ ColorWindow

double vtkImageProperty::ColorWindow
| protected

Definition at line 196 of file vtkImageProperty.h.

## ◆ ColorLevel

double vtkImageProperty::ColorLevel
| protected

Definition at line 197 of file vtkImageProperty.h.

## ◆ UseLookupTableScalarRange

vtkTypeBool vtkImageProperty::UseLookupTableScalarRange
| protected

Definition at line 198 of file vtkImageProperty.h.

## ◆ InterpolationType

int vtkImageProperty::InterpolationType
| protected

Definition at line 199 of file vtkImageProperty.h.

## ◆ LayerNumber

int vtkImageProperty::LayerNumber
| protected

Definition at line 200 of file vtkImageProperty.h.

## ◆ Opacity

double vtkImageProperty::Opacity
| protected

Definition at line 201 of file vtkImageProperty.h.

## ◆ Ambient

double vtkImageProperty::Ambient
| protected

Definition at line 202 of file vtkImageProperty.h.

## ◆ Diffuse

double vtkImageProperty::Diffuse
| protected

Definition at line 203 of file vtkImageProperty.h.

## ◆ Checkerboard

vtkTypeBool vtkImageProperty::Checkerboard
| protected

Definition at line 204 of file vtkImageProperty.h.

## ◆ CheckerboardSpacing

double vtkImageProperty::CheckerboardSpacing[2]
| protected

Definition at line 205 of file vtkImageProperty.h.

## ◆ CheckerboardOffset

double vtkImageProperty::CheckerboardOffset[2]
| protected

Definition at line 206 of file vtkImageProperty.h.

## ◆ Backing

vtkTypeBool vtkImageProperty::Backing
| protected

Definition at line 207 of file vtkImageProperty.h.

## ◆ BackingColor

double vtkImageProperty::BackingColor[3]
| protected

Definition at line 208 of file vtkImageProperty.h.

The documentation for this class was generated from the following file:

- Rendering/Core/vtkImageProperty.h